// TESTS: Validators

import { Validators } from '@angular/forms';

const model = {
	dynaformtest: {
		a: 'Value 1',
		b: 'Value 2',
		c: 'Maybe',
		d: {
			e: 444,
			f: 555,
			g: {
				h: true,
				i: false
			}
		},
		z: 'THE END'
	}
};

const meta = {
	dynaformtest: {
		meta: {
			a: { validators: Validators.required },
			b: { type: 'checkbutton' },
			c: { label: 'Property Three', type: 'radio', options: ['Yes', 'No', 'Maybe'], horizontal: 1 },
			d: {
				meta: {
					e: { type: 'radio', 'label': 'Does it work yet?' },
					f: { type: 'datepicker' }
				}
			}
		}
	}
};

export { model, meta };
